﻿@model List<Gallery>
@{
    Layout = null;
}

<div class="panel panel-default" id="solar-carousel-panel">
    <div class="panel-heading">
        <h5 class="panel-title">@Resources.Home_LatestSolarPhotos</h5>
    </div>
    <div class="panel-body">
        <div id="carousel" class="carousel slide" data-ride="carousel" data-type="multi" data-interval="5500">
            <div class="carousel-inner">
                @foreach(var item in Model)
                {
                    var activeClass = "";
                    if (item == Model.FirstOrDefault())
                    { activeClass = "active"; }
                    <div class="item @activeClass">
                        <div class="col-md-3 col-sm-4 col-xs-12"><a class="thumbnail fancybox" rel="ligthbox" href="~/images/gallery/@item.ImageName"><img src="~/images/gallery/@item.ImageName" class="img-responsive" height="200"></a></div>
                    </div>
                    
                }
            </div>

            <!-- Controls -->
            <div class="left carousel-control">
                <a href="#carousel" role="button" data-slide="prev">
                    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
            </div>
            <div class="right carousel-control">
                <a href="#carousel" role="button" data-slide="next">
                    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
        </div>
    </div>
</div>


